/**
 * @file
 *
 * ALIB SSDT table
 *
 *
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:     AGESA
 * @e sub-project: GNB
 * @e \$Revision: 63659 $   @e \$Date: 2012-01-03 00:42:47 -0600 (Tue, 03 Jan 2012) $
 *
 */
/*
*****************************************************************************
*
* Copyright 2008 - 2012 ADVANCED MICRO DEVICES, INC.  All Rights Reserved.
*
* AMD is granting you permission to use this software (the Materials)
* pursuant to the terms and conditions of your Software License Agreement
* with AMD.  This header does *NOT* give you permission to use the Materials
* or any rights under AMD's intellectual property.  Your use of any portion
* of these Materials shall constitute your acceptance of those terms and
* conditions.  If you do not agree to the terms and conditions of the Software
* License Agreement, please do not use any portion of these Materials.
*
* CONFIDENTIALITY:  The Materials and all other information, identified as
* confidential and provided to you by AMD shall be kept confidential in
* accordance with the terms and conditions of the Software License Agreement.
*
* LIMITATION OF LIABILITY: THE MATERIALS AND ANY OTHER RELATED INFORMATION
* PROVIDED TO YOU BY AMD ARE PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED
* WARRANTY OF ANY KIND, INCLUDING BUT NOT LIMITED TO WARRANTIES OF
* MERCHANTABILITY, NONINFRINGEMENT, TITLE, FITNESS FOR ANY PARTICULAR PURPOSE,
* OR WARRANTIES ARISING FROM CONDUCT, COURSE OF DEALING, OR USAGE OF TRADE.
* IN NO EVENT SHALL AMD OR ITS LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER
* (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, BUSINESS
* INTERRUPTION, OR LOSS OF INFORMATION) ARISING OUT OF AMD'S NEGLIGENCE,
* GROSS NEGLIGENCE, THE USE OF OR INABILITY TO USE THE MATERIALS OR ANY OTHER
* RELATED INFORMATION PROVIDED TO YOU BY AMD, EVEN IF AMD HAS BEEN ADVISED OF
* THE POSSIBILITY OF SUCH DAMAGES.  BECAUSE SOME JURISDICTIONS PROHIBIT THE
* EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES,
* THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
*
* AMD does not assume any responsibility for any errors which may appear in
* the Materials or any other related information provided to you by AMD, or
* result from use of the Materials or any related information.
*
* You agree that you will not reverse engineer or decompile the Materials.
*
* NO SUPPORT OBLIGATION: AMD is not obligated to furnish, support, or make any
* further information, software, technical information, know-how, or show-how
* available to you.  Additionally, AMD retains the right to modify the
* Materials at any time, without notice, and is not obligated to provide such
* modified Materials to you.
*
* U.S. GOVERNMENT RESTRICTED RIGHTS: The Materials are provided with
* "RESTRICTED RIGHTS." Use, duplication, or disclosure by the Government is
* subject to the restrictions as set forth in FAR 52.227-14 and
* DFAR252.227-7013, et seq., or its successor.  Use of the Materials by the
* Government constitutes acknowledgement of AMD's proprietary rights in them.
*
* EXPORT ASSURANCE:  You agree and certify that neither the Materials, nor any
* direct product thereof will be exported directly or indirectly, into any
* country prohibited by the United States Export Administration Act and the
* regulations thereunder, without the required authorization from the U.S.
* government nor will be used for any purpose prohibited by the same.
* ***************************************************************************
*
*/

#ifndef _PCIEALIBSSDTTNFM2_H_
#define _PCIEALIBSSDTTNFM2_H_

UINT8  AlibSsdtTNFM2[] = {
  0x53, 0x53, 0x44, 0x54, 0x1F, 0x05, 0x00, 0x00,
  0x02, 0xE2, 0x41, 0x4D, 0x44, 0x00, 0x00, 0x00,
  0x41, 0x4C, 0x49, 0x42, 0x00, 0x00, 0x00, 0x00,
  0x01, 0x00, 0x00, 0x00, 0x4D, 0x53, 0x46, 0x54,
  0x00, 0x00, 0x00, 0x04, 0x10, 0x4A, 0x4F, 0x5C,
  0x5F, 0x53, 0x42, 0x5F, 0x08, 0x41, 0x30, 0x30,
  0x31, 0x0A, 0x06, 0x08, 0x41, 0x44, 0x30, 0x31,
  0x0C, 0x00, 0x00, 0x00, 0xE0, 0x06, 0x41, 0x44,
  0x30, 0x31, 0x41, 0x30, 0x31, 0x33, 0x14, 0x31,
  0x41, 0x30, 0x30, 0x36, 0x0A, 0x72, 0x41, 0x30,
  0x31, 0x33, 0x79, 0x68, 0x0A, 0x0C, 0x00, 0x60,
  0x72, 0x69, 0x60, 0x60, 0x5B, 0x80, 0x41, 0x30,
  0x31, 0x34, 0x00, 0x60, 0x0A, 0x04, 0x5B, 0x81,
  0x0B, 0x41, 0x30, 0x31, 0x34, 0x03, 0x41, 0x30,
  0x31, 0x35, 0x20, 0xA4, 0x41, 0x30, 0x31, 0x35,
  0x14, 0x32, 0x41, 0x30, 0x30, 0x37, 0x0B, 0x72,
  0x41, 0x30, 0x31, 0x33, 0x79, 0x68, 0x0A, 0x0C,
  0x00, 0x60, 0x72, 0x69, 0x60, 0x60, 0x5B, 0x80,
  0x41, 0x30, 0x31, 0x34, 0x00, 0x60, 0x0A, 0x04,
  0x5B, 0x81, 0x0B, 0x41, 0x30, 0x31, 0x34, 0x03,
  0x41, 0x30, 0x31, 0x35, 0x20, 0x70, 0x6A, 0x41,
  0x30, 0x31, 0x35, 0x14, 0x1C, 0x41, 0x30, 0x31,
  0x36, 0x0C, 0x70, 0x41, 0x30, 0x30, 0x36, 0x68,
  0x69, 0x60, 0x7D, 0x7B, 0x60, 0x6A, 0x00, 0x6B,
  0x60, 0x41, 0x30, 0x30, 0x37, 0x68, 0x69, 0x60,
  0x5B, 0x01, 0x41, 0x30, 0x31, 0x37, 0x00, 0x14,
  0x32, 0x41, 0x30, 0x31, 0x38, 0x02, 0x5B, 0x23,
  0x41, 0x30, 0x31, 0x37, 0xFF, 0xFF, 0x70, 0x79,
  0x72, 0x68, 0x0A, 0x02, 0x00, 0x0A, 0x03, 0x00,
  0x60, 0x41, 0x30, 0x30, 0x37, 0x60, 0x0A, 0xE0,
  0x69, 0x70, 0x41, 0x30, 0x30, 0x36, 0x60, 0x0A,
  0xE4, 0x60, 0x5B, 0x27, 0x41, 0x30, 0x31, 0x37,
  0xA4, 0x60, 0x14, 0x2F, 0x41, 0x30, 0x31, 0x39,
  0x03, 0x5B, 0x23, 0x41, 0x30, 0x31, 0x37, 0xFF,
  0xFF, 0x70, 0x79, 0x72, 0x68, 0x0A, 0x02, 0x00,
  0x0A, 0x03, 0x00, 0x60, 0x41, 0x30, 0x30, 0x37,
  0x60, 0x0A, 0xE0, 0x69, 0x41, 0x30, 0x30, 0x37,
  0x60, 0x0A, 0xE4, 0x6A, 0x5B, 0x27, 0x41, 0x30,
  0x31, 0x37, 0x14, 0x1C, 0x41, 0x30, 0x32, 0x30,
  0x04, 0x70, 0x41, 0x30, 0x31, 0x38, 0x68, 0x69,
  0x60, 0x7D, 0x7B, 0x60, 0x6A, 0x00, 0x6B, 0x60,
  0x41, 0x30, 0x31, 0x39, 0x68, 0x69, 0x60, 0x5B,
  0x01, 0x41, 0x30, 0x32, 0x31, 0x00, 0x14, 0x29,
  0x41, 0x30, 0x30, 0x38, 0x03, 0x5B, 0x23, 0x41,
  0x30, 0x32, 0x31, 0xFF, 0xFF, 0x41, 0x30, 0x30,
  0x37, 0x68, 0x69, 0x6A, 0x70, 0x41, 0x30, 0x30,
  0x36, 0x68, 0x72, 0x69, 0x0A, 0x04, 0x00, 0x60,
  0x5B, 0x27, 0x41, 0x30, 0x32, 0x31, 0xA4, 0x60,
  0x14, 0x26, 0x41, 0x30, 0x31, 0x32, 0x04, 0x5B,
  0x23, 0x41, 0x30, 0x32, 0x31, 0xFF, 0xFF, 0x41,
  0x30, 0x30, 0x37, 0x68, 0x69, 0x6A, 0x41, 0x30,
  0x30, 0x37, 0x68, 0x72, 0x69, 0x0A, 0x04, 0x00,
  0x6B, 0x5B, 0x27, 0x41, 0x30, 0x32, 0x31, 0x14,
  0x1E, 0x41, 0x30, 0x32, 0x32, 0x05, 0x70, 0x41,
  0x30, 0x30, 0x38, 0x68, 0x69, 0x6A, 0x60, 0x7D,
  0x7B, 0x60, 0x6B, 0x00, 0x6C, 0x60, 0x41, 0x30,
  0x31, 0x32, 0x68, 0x69, 0x6A, 0x60, 0x14, 0x42,
  0x05, 0x41, 0x30, 0x32, 0x33, 0x02, 0x70, 0x0A,
  0x34, 0x61, 0xA0, 0x11, 0x93, 0x41, 0x30, 0x30,
  0x36, 0x68, 0x0A, 0x00, 0x0C, 0xFF, 0xFF, 0xFF,
  0xFF, 0xA4, 0x0A, 0x00, 0x70, 0x0A, 0x01, 0x60,
  0xA2, 0x2E, 0x93, 0x60, 0x0A, 0x01, 0x70, 0x7B,
  0x41, 0x30, 0x30, 0x36, 0x68, 0x61, 0x0A, 0xFF,
  0x00, 0x61, 0xA0, 0x06, 0x93, 0x61, 0x0A, 0x00,
  0xA5, 0xA0, 0x11, 0x93, 0x7B, 0x41, 0x30, 0x30,
  0x36, 0x68, 0x61, 0x0A, 0xFF, 0x00, 0x69, 0x70,
  0x0A, 0x00, 0x60, 0xA1, 0x03, 0x75, 0x61, 0xA4,
  0x61, 0x14, 0x47, 0x09, 0x41, 0x30, 0x32, 0x34,
  0x0A, 0x5B, 0x80, 0x50, 0x4D, 0x49, 0x4F, 0x01,
  0x0B, 0xD6, 0x0C, 0x0A, 0x02, 0x5B, 0x81, 0x10,
  0x50, 0x4D, 0x49, 0x4F, 0x01, 0x50, 0x4D, 0x52,
  0x49, 0x08, 0x50, 0x4D, 0x52, 0x44, 0x08, 0x5B,
  0x86, 0x12, 0x50, 0x4D, 0x52, 0x49, 0x50, 0x4D,
  0x52, 0x44, 0x01, 0x00, 0x40, 0x70, 0x41, 0x42,
  0x41, 0x52, 0x20, 0x5B, 0x80, 0x41, 0x43, 0x46,
  0x47, 0x01, 0x41, 0x42, 0x41, 0x52, 0x0A, 0x08,
  0x5B, 0x81, 0x10, 0x41, 0x43, 0x46, 0x47, 0x03,
  0x41, 0x42, 0x49, 0x58, 0x20, 0x41, 0x42, 0x44,
  0x41, 0x20, 0x70, 0x0A, 0x00, 0x60, 0xA0, 0x17,
  0x93, 0x69, 0x0A, 0x00, 0x70, 0x0C, 0x68, 0x00,
  0x00, 0x80, 0x41, 0x42, 0x49, 0x58, 0x70, 0x41,
  0x42, 0x44, 0x41, 0x60, 0xA4, 0x60, 0xA1, 0x22,
  0x70, 0x0C, 0x68, 0x00, 0x00, 0x80, 0x41, 0x42,
  0x49, 0x58, 0x70, 0x41, 0x42, 0x44, 0x41, 0x60,
  0x7D, 0x7B, 0x60, 0x0C, 0xFC, 0xFF, 0xFF, 0xFF,
  0x00, 0x68, 0x60, 0x70, 0x60, 0x41, 0x42, 0x44,
  0x41, 0x08, 0x41, 0x30, 0x32, 0x35, 0x11, 0x04,
  0x0B, 0x00, 0x01, 0x14, 0x46, 0x08, 0x41, 0x30,
  0x30, 0x39, 0x01, 0xA2, 0x16, 0x92, 0x93, 0x7B,
  0x41, 0x30, 0x30, 0x38, 0x0A, 0x00, 0x0A, 0xB8,
  0x0C, 0x04, 0x30, 0x00, 0xE0, 0x0A, 0x02, 0x00,
  0x0A, 0x02, 0x70, 0x41, 0x30, 0x30, 0x38, 0x0A,
  0x00, 0x0A, 0xB8, 0x0C, 0x00, 0x30, 0x00, 0xE0,
  0x60, 0x7D, 0x7B, 0x60, 0x0C, 0x00, 0x00, 0xFE,
  0xFF, 0x00, 0x7B, 0x80, 0x7B, 0x60, 0x0A, 0x01,
  0x00, 0x00, 0x0A, 0x01, 0x00, 0x60, 0x7D, 0x60,
  0x79, 0x68, 0x0A, 0x01, 0x00, 0x60, 0x41, 0x30,
  0x31, 0x32, 0x0A, 0x00, 0x0A, 0xB8, 0x0C, 0x00,
  0x30, 0x00, 0xE0, 0x60, 0xA2, 0x16, 0x92, 0x93,
  0x7B, 0x41, 0x30, 0x30, 0x38, 0x0A, 0x00, 0x0A,
  0xB8, 0x0C, 0x04, 0x30, 0x00, 0xE0, 0x0A, 0x01,
  0x00, 0x0A, 0x01, 0xA2, 0x16, 0x92, 0x93, 0x7B,
  0x41, 0x30, 0x30, 0x38, 0x0A, 0x00, 0x0A, 0xB8,
  0x0C, 0x04, 0x30, 0x00, 0xE0, 0x0A, 0x02, 0x00,
  0x0A, 0x02, 0x08, 0x41, 0x30, 0x30, 0x32, 0x0A,
  0x00, 0x08, 0x41, 0x30, 0x30, 0x33, 0x0A, 0x00,
  0x08, 0x41, 0x30, 0x30, 0x34, 0x0A, 0x00, 0x14,
  0x46, 0x0B, 0x41, 0x30, 0x30, 0x35, 0x01, 0x70,
  0x7D, 0x79, 0x0A, 0x18, 0x0A, 0x03, 0x00, 0x0A,
  0x04, 0x00, 0x62, 0xA0, 0x1C, 0x93, 0x41, 0x30,
  0x30, 0x34, 0x0A, 0x00, 0x70, 0x41, 0x30, 0x30,
  0x36, 0x62, 0x0B, 0x24, 0x01, 0x41, 0x30, 0x30,
  0x33, 0x70, 0x0A, 0x01, 0x41, 0x30, 0x30, 0x34,
  0x70, 0x41, 0x30, 0x30, 0x36, 0x62, 0x0B, 0x24,
  0x01, 0x63, 0xA0, 0x13, 0x93, 0x68, 0x0A, 0x00,
  0x7D, 0x63, 0x7B, 0x41, 0x30, 0x30, 0x33, 0x0C,
  0x00, 0x00, 0x40, 0x00, 0x00, 0x63, 0xA1, 0x09,
  0x7B, 0x63, 0x0C, 0xFF, 0xFF, 0xBF, 0xFF, 0x63,
  0x41, 0x30, 0x30, 0x37, 0x62, 0x0B, 0x24, 0x01,
  0x63, 0xA0, 0x36, 0x93, 0x41, 0x30, 0x30, 0x32,
  0x0A, 0x00, 0xA0, 0x2D, 0x93, 0x41, 0x30, 0x30,
  0x36, 0x0A, 0x08, 0x0A, 0x00, 0x0C, 0xFF, 0xFF,
  0xFF, 0xFF, 0x7B, 0x41, 0x30, 0x30, 0x38, 0x0A,
  0x00, 0x0A, 0xB8, 0x0C, 0x28, 0xF4, 0x01, 0x00,
  0x0A, 0x02, 0x61, 0xA0, 0x0C, 0x93, 0x61, 0x0A,
  0x02, 0x70, 0x0A, 0x01, 0x41, 0x30, 0x30, 0x32,
  0xA0, 0x1D, 0x93, 0x41, 0x30, 0x30, 0x32, 0x0A,
  0x01, 0xA0, 0x09, 0x93, 0x68, 0x0A, 0x00, 0x70,
  0x0A, 0x20, 0x60, 0xA1, 0x05, 0x70, 0x0A, 0x21,
  0x60, 0x41, 0x30, 0x30, 0x39, 0x60, 0x08, 0x41,
  0x30, 0x31, 0x30, 0x0A, 0x00, 0x08, 0x41, 0x30,
  0x31, 0x31, 0x0A, 0x00, 0x14, 0x48, 0x07, 0x41,
  0x57, 0x41, 0x4B, 0x01, 0xA0, 0x40, 0x07, 0x93,
  0x68, 0x0A, 0x03, 0xA0, 0x2E, 0x93, 0x41, 0x30,
  0x31, 0x30, 0x0A, 0x01, 0x70, 0x41, 0x30, 0x30,
  0x36, 0x0A, 0xC5, 0x0B, 0x70, 0x01, 0x60, 0x41,
  0x30, 0x30, 0x37, 0x0A, 0xC5, 0x0B, 0x70, 0x01,
  0x7B, 0x60, 0x80, 0x79, 0x0A, 0x01, 0x0A, 0x0E,
  0x00, 0x00, 0x00, 0x70, 0x0A, 0x00, 0x41, 0x30,
  0x31, 0x30, 0xA0, 0x3A, 0x93, 0x41, 0x30, 0x31,
  0x31, 0x0A, 0x01, 0x70, 0x41, 0x30, 0x30, 0x38,
  0x0A, 0x00, 0x0A, 0xB8, 0x0C, 0x28, 0xF4, 0x01,
  0x00, 0x60, 0x41, 0x30, 0x31, 0x32, 0x0A, 0x00,
  0x0A, 0xB8, 0x0C, 0x28, 0xF4, 0x01, 0x00, 0x7D,
  0x60, 0x79, 0x0A, 0x01, 0x0A, 0x05, 0x00, 0x00,
  0x41, 0x30, 0x30, 0x39, 0x0A, 0x16, 0x70, 0x0A,
  0x00, 0x41, 0x30, 0x31, 0x31, 0x14, 0x49, 0x08,
  0x41, 0x50, 0x54, 0x53, 0x01, 0xA0, 0x41, 0x08,
  0x93, 0x68, 0x0A, 0x03, 0x41, 0x30, 0x30, 0x35,
  0x0A, 0x01, 0x70, 0x41, 0x30, 0x30, 0x38, 0x0A,
  0x00, 0x0A, 0xB8, 0x0C, 0x28, 0xF4, 0x01, 0x00,
  0x60, 0xA0, 0x33, 0x92, 0x93, 0x7B, 0x60, 0x79,
  0x0A, 0x01, 0x0A, 0x05, 0x00, 0x00, 0x0A, 0x00,
  0x41, 0x30, 0x31, 0x32, 0x0A, 0x00, 0x0A, 0xB8,
  0x0C, 0x28, 0xF4, 0x01, 0x00, 0x7B, 0x60, 0x80,
  0x79, 0x0A, 0x01, 0x0A, 0x05, 0x00, 0x00, 0x00,
  0x41, 0x30, 0x30, 0x39, 0x0A, 0x16, 0x70, 0x0A,
  0x01, 0x41, 0x30, 0x31, 0x31, 0x70, 0x41, 0x30,
  0x30, 0x36, 0x0A, 0xC5, 0x0B, 0x70, 0x01, 0x60,
  0xA0, 0x26, 0x93, 0x7B, 0x60, 0x79, 0x0A, 0x01,
  0x0A, 0x0E, 0x00, 0x00, 0x0A, 0x00, 0x41, 0x30,
  0x30, 0x37, 0x0A, 0xC5, 0x0B, 0x70, 0x01, 0x7D,
  0x60, 0x79, 0x0A, 0x01, 0x0A, 0x0E, 0x00, 0x00,
  0x70, 0x0A, 0x01, 0x41, 0x30, 0x31, 0x30
};

#endif
